<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.File"
	import="net.sf.basedb.core.DerivedBioAssay"
	import="net.sf.basedb.util.Values"
	import="net.sf.basedb.clients.web.Base"	
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");
DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
	
	int fileId = Values.getInt(request.getParameter("fileId"));
	int itemId = Values.getInt(request.getParameter("itemId"));
	
	DerivedBioAssay aligned = DerivedBioAssay.getById(dc, itemId);
	File vcf = File.getById(dc, fileId);
%>
<base:page type="popup" title="View genotypes">
<base:head scripts="~view_genotypes.js,~../reggie-2.js" styles="path.css,~../css/reggie-2.css">

<style>
#snp-list
{
	width: 100%;
	border-collapse: collapse;
}

#snp-list th
{
	text-align: left;
	padding: 2px;
}

#snp-list td
{
	padding: 2px;
}

#snp-list .snp
{
	border-bottom-style: dotted;
	border-bottom-width: 1px;
}
#snp-list tr :first-child
{
	padding-left: 4px;
}
.lowgq
{
	color: #999999;
}
</style>

</base:head>
<base:body data-read-only="1">
	<h1><%=HTML.encodeTags(aligned.getName() + ": " + vcf.getName()) %></h1>

	<div id="page-data" class="datacontainer"
		data-file-id="<%=fileId%>"
		data-item-id="<%=itemId%>"
	></div>
	
	<form name="reggie" id="wizard" class="wizard">
	<div class="content bottomborder">
		<table id="vcf-summary" class="fullform input100 bottomborder" style="display:none; height: 7em;">
		<tr>
			<th>Alignment</th>
			<td>
				<span id="alignment"><%=aligned.getName() %></span>
			</td>
		</tr>
		<tr>
			<th>VCF file</th>
			<td>
				<span id="vcfFile"><%=vcf.getPath() %></span>
			</td>
		</tr>
		<tr>
			<th>Genotypes</th>
			<td>
				<span id="gtCount"></span>
			</td>
		</tr>
		<tr>
			<th>Avg. GQ</th>
			<td>
				<span id="avgGQ"></span>
			</td>
		</tr>
		</table>
		<div id="snp-table" class="absolutefull" style="display:none; top: 7em;"></div>
		<div id="wizard-status"></div>
	</div>	
	</form>
	
	<base:buttongroup subclass="dialogbuttons" id="dialogbuttons">
		<base:button id="close" title="Close" />
	</base:buttongroup>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>